Subject: FVWM: FvwmButtons dump core

From: "Kurunkad, Raju" <[email-masked]>
Date: Wed, 5 Sep 2001 19:05:16 -0400

Hi,

I finished compiling FVWM 2.4.0 on UNIX SVR4. It runs OK, but when I try to
exit, it dumps core. The core file contains very limited info even though
FvwmButtons is compiled with -g. This is the stack trace that gdb displays: 

$ gdb ./FvwmButtons ~/core
GNU gdb 5.0
Copyright 2000 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain
conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i586-ncr-sysv4.3.03"...
Core was generated by `/home/rk210011/install/libexec/fvwm/2.4.0/FvwmButtons
11 4 none 0 8 DeskerPanel'.
Program terminated with signal 11, Segmentation fault.
Reading symbols from /usr/lib/libXext.so.5.0...done.
Loaded symbols for /usr/lib/libXext.so.5.0
Reading symbols from /usr/lib/libX11.so.5.0...done.
Loaded symbols for /usr/lib/libX11.so.5.0
Reading symbols from /usr/lib/libsocket.so...done.
Loaded symbols for /usr/lib/libsocket.so
Reading symbols from /usr/lib/libnsl.so...done.
Loaded symbols for /usr/lib/libnsl.so
Reading symbols from /usr/lib/libc.so.1...done.
Loaded symbols for /usr/lib/libc.so.1
Reading symbols from /usr/lib/tcpip.so...done.
Loaded symbols for /usr/lib/tcpip.so
Reading symbols from /usr/lib/nis.so...done.
Loaded symbols for /usr/lib/nis.so
Reading symbols from /usr/lib/straddr.so...done.
Loaded symbols for /usr/lib/straddr.so
#0  0xbffdc638 in fflush () from /usr/lib/libc.so.1
(gdb) where
#0  0xbffdc638 in fflush () from /usr/lib/libc.so.1
(gdb) q

Is there any way to debug FvwmButtons module?

FYI, I am using a modified system.fvwm2rc-sample-95.

Thanks in advance,
Raju
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].